%global srcname sphinxtesters

Name:           python-%{srcname}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Utilities for testing Sphinx extensions

License:        BSD
URL:            https://github.com/matthew-brett/%{srcname}
Source0:        https://github.com/matthew-brett/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(nose)
BuildRequires:  python2dist(pytest)
BuildRequires:  python2dist(sphinx)
BuildRequires:  python2dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(setuptools)

%description
This package contains utilities for testing Sphinx extensions.

%package -n     python2-%{srcname}
Summary:        Utilities for testing Sphinx extensions
Requires:       python2dist(sphinx)

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package contains utilities for testing Sphinx extensions.

%package -n     python3-%{srcname}
Summary:        Utilities for testing Sphinx extensions
Requires:       python3dist(sphinx)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains utilities for testing Sphinx extensions.

%prep
%autosetup -n %{srcname}-%{version}

%build
# Python 2 build
%py2_build

# Python 3 build
%py3_build

%install
# Python 2 install
%py2_install

# Python 3 install
%py3_install

%check
# Test the python 2 build
PYTHONPATH=$PWD nosetests-%{python2_version} -v

# Test the python 3 build
PYTHONPATH=$PWD nosetests-%{python3_version} -v

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}*

%changelog
* Wed Aug 29 2018 Jerry James <loganjerry@gmail.com> - 0.2.1-1
- Initial RPM
